diff -urN BitchX-clean/README.CNSirc BitchXcns-1.0c19cns/README.CNSirc
--- BitchX-clean/README.CNSirc	Thu Jan  1 01:00:00 1970
+++ BitchXcns-1.0c19cns/README.CNSirc	Fri Mar 29 07:36:37 2002
@@ -0,0 +1,219 @@
+CNSirc, the come back (final version ? :-)
+we,
+     _____ _   _  _____    ____  __ _ _   _ _ _______ _    _ _ _   _  _____ 
+    / ____| \ | |/ ____|  / /  \/  (_) \ | (_)__   __| |  | (_) \ | |/ ____|
+   | |    |  \| | (___   / /| \  / |_|  \| |_   | |  | |__| |_|  \| | (___  
+   | |    | . ` |\___ \ / / | |\/| | | . ` | |  | |  |  __  | | . ` |\___ \ 
+   | |____| |\  |____) / /  | |  | | | |\  | |  | |  | |  | | | |\  |____) |
+    \_____|_| \_|_____/_/   |_|  |_|_|_| \_|_|  |_|  |_|  |_|_|_| \_|_____/ 
+                                                                            
+present:
+
+                             with their fans
+                          a new more secure tool
+                             with more colors
+                           high definition video
+                         no more VHS, now use DVD
+                      the *BEST* irc client for ever
+                                we named:
+
+           ____ _   _ ____  _            ____ _____  _    ____  ____         
+  __/\__  / ___| \ | / ___|(_)_ __ ___  / ___|_   _|/ \  |  _ \/ ___|  __/\__
+  \    / | |   |  \| \___ \| | '__/ __| \___ \ | | / _ \ | |_) \___ \  \    /
+  /_  _\ | |___| |\  |___) | | | | (__   ___) || |/ ___ \|  _ < ___) | /_  _\
+    \/    \____|_| \_|____/|_|_|  \___| |____/ |_/_/   \_\_| \_\____/    \/  
+                                                                             
+	(and i still love pr0n stars so much, but now i prefer my irc client :-))
+
+PRIVATE DON'T DISTRIBUTE !!!
+        PRIVATE DON'T DISTRIBUTE !!!
+
+---[ email adress:         cns@minithins.net
+---[ irc channel:          #minithins on any Undernet servers
+---[ website adress:       http://www.minithins.net/
+---[ get last release:     http://www.minithins.net/private/
+---[ no private access:    ask on #minithins
+
+VERSION: CNSirc-1.2.0
+
+RELEASES NOTES:
+
+My IRC client, CNSirc, permits channels and private messages encryption.
+I use RSA and twofish algorithms, using OpenSSL and some code proposed for new
+AES 2 years ago.
+	CNSirc was created to secure IRC communications; unlike ircs servers, the
+data is not uncrypted by the server; so only clients can see real traffic.
+	CNSirc is a private tool. Don't distribute it if you're not allowed to do 
+it. By the way, only my friends 'll get it. If you give it, i'll change the 
+code and make it unusable by you. That's the way i want it to be. So fuck off.
+
+HOW TO INSTALL:
+
+	* Install shared OpenSSL libs:
+Get latest openssl package; and configure it:
+./Configure --prefix=/usr shared linux-elf
+
+	* For CNSirc, just gmake && gmake && gmake install (or install_local).
+
+
+FIRST USE:
+
+	* First time, you need to do one thing: create your own RSA keys.
+	You only need to do that one time; it ll create a file key in
+	~/.BitchX/CNSkeys, and after you don't need anymore to create keys.
+	To do that, just use /genmykey, and save it with /savekey
+
+
+HOW TO USE:
+
+	* first use:
+		/genmykey and /savekey <-- just for generate your uniq RSA key
+
+	* after, normal use:
+		/pubkey <-- to share your public RSA key (to chat or recieve keys)
+		/genkey <-- generate a channel key for crypting
+		/sendkey <nick> <channel><-- to send channel key
+
+
+COMMANDS:
+
+	* basic commands
+		/pubkeycns [target]
+		or /pk or /cpubkey
+			Send your RSA public key to a target (nick or channel)
+		
+		/sendkeycns [channel] [nick]
+		or /sk or /csendkey
+			Send a channel key to a target (nick)
+
+		/genkeycns [target]
+		or /gk or /cgenkey
+			Create a new channel key 
+
+
+	* remote commands
+		/getrsakey [nick]
+			Ask for someone's RSA key
+
+		/getrsakey [nick] [channel]
+			Ask channel's key to someone
+
+
+	* clear message functions
+		/cm <message>
+			Clear /msg to current channel
+
+		/cme <message>
+			Clear /me to currnet channel
+
+		/cmsg [channel] <message>
+			Clear /msg to channel 
+
+		/ctoggle [channel]
+			Toggle crypting channel (on/off)		
+
+
+	* remove functions
+		/clearkey [target]
+			Remove RSA/Channel key
+
+		/clearrsakey [nick]
+			Remove RSA key
+
+		/clearchankey
+			Remove Channel key
+
+		/clearnick
+			Remove a nick (not a RSA key if there is another key)
+
+
+	* list keys
+		/listrsa
+			List Rsa keys.
+
+		/listchan
+			List channel keys.
+
+		/listnick
+			List all nicks.
+
+
+	* key administration
+		/genmykey
+			create your keys.
+
+		/savemykey
+			save your keys.
+
+		/freemykey
+			remove my keys from memory.
+
+		/loadkey
+			you can reload my keys from memory.
+
+		/keyinfo
+			gives some info on your keys
+
+
+	* misc functions
+		/vers
+			print version
+
+		/testkey
+			test your RSA key
+
+		/testrsacrypt
+			test RSA crypting
+
+		/testcrypt
+			test twofish encryption
+			 
+
+SOME USING:
+
+  ---------------------------------------------------------------------------
+
+ùíù user [~user@lives.in.minithins.net] has joined #mychannel
+ùíù ServerMode/#mychannel [+nt] by kiev.minithins.net
+ùíù [Users(#mychannel:1)] 
+[@user      ] 
+ùíù CNSirc: Join to #mychannel was synched in 0.006 secs!!
+ùíù mode/#mychannel [+nt] by user
+<user> ho ! I'm alone ! So i'll generate a key to crypt this channel !
+ùíù CNSirc: Commands:
+ùíù GENKEY
+ùíù [*] #mychannel is now crypted ... (key crc: D9478823)
+(user) wow it's cool !
+ùíù friend [~friend@lives.in.minithins.net] has joined #mychannel
+<friend> hello !
+<friend> I'm not alone I'll send my public key and i'll wait that 'user' give
+          me channel key !
+ùíù [*] Got friend's public key (crc is F6E200FE, len is 256)
+<friend> <CNSirc>TMfdp+vntZAhTEzrTETBFmhXi3eQ+V9D0ON4rg3qpyPdUL+LKk2Pg2aWjIilEx
+          J1R8kqN5q7/le+gJSEg00h/WZVIcjEB5Faj7F2LZc4bllDxTYtqmg9HcTxKKVuIjNV1vE
+          Vl2PBvP5e1EFd4ozKoMwBfEhPqvpChxGyOv8famea
+
+(at this moment friend just used /pubkey)
+
+(now, user only has to press /sendkey)
+ùíù [*] #mychannel's key sent to friend
+
+(on friend screen:)
+ùíù [*] Recieved key for #mychannel. 
+(friend) hello !
+
+  ---------------------------------------------------------------------------
+
+NOTES:
+
+--- main things ---
+
+    * release 1.1.1 version
+    * write RFC file.
+
+--- second things ---
+
+    * more encryption schematics
+        (pubkey: dsa; normal: blowfish, rc6, rijndael, mars)
+
+end of file.
diff -urN BitchX-clean/RFC.CNSirc BitchXcns-1.0c19cns/RFC.CNSirc
--- BitchX-clean/RFC.CNSirc	Thu Jan  1 01:00:00 1970
+++ BitchXcns-1.0c19cns/RFC.CNSirc	Fri Mar 29 07:36:37 2002
@@ -0,0 +1,59 @@
+CNSirc PROTOCOL
+
+- privates via RSA -
+paquets cryptés par paquets de 128
+crypt_method = 1;
+
+clée publique dans clée privée
+cle->n et cle->e (cle->e toujours = à 65537, 0x10001)
+crypt_method = 2;
+
+- public via twofish -
+clé de 32 octets
+paquets cryptés par paquets de 16
+
+* TODO:
+* procedure to check if rsa key sent is correct
+* procedure to check if rsa key already is not in someone other rsa key.
+
+
+/*****************************************************************************/
+
+
+struct st_nick_crypted
+{
+    struct st_nick_crypted *next;
+    char    *nick;
+    RSA     *hispubkey;
+    time_t  modified; 
+    int     opt;
+} *nick_head = NULL;
+
+struct st_chan_crypted
+{
+    struct st_chan_crypted *next;
+    char   *chan;
+    char   *chankey;
+    time_t modified;
+    int    opt;
+} *chan_head = NULL;
+
+struct st_msg_header
+{   
+    unsigned short un_len;
+    unsigned short cr_len;
+    unsigned long  crc32;
+    char           crypt_method; 
+	// 0 for none (clear), 
+	// 1 for RSA, 2 for Twofish
+    char           opt;
+	unsigned short padding;
+	// padding 'll be 7337
+	unsigned char  text;
+};
+
+sizeof(struct st_msg_header) == 12.
+
+
+
+
diff -urN BitchX-clean/include/cfunctions.h BitchXcns-1.0c19cns/include/cfunctions.h
--- BitchX-clean/include/cfunctions.h	Thu Jan  1 01:00:00 1970
+++ BitchXcns-1.0c19cns/include/cfunctions.h	Fri Mar 29 07:36:37 2002
@@ -0,0 +1,165 @@
+/*
+ * Specific CNSirc functions header
+ *
+ *
+ */
+
+#ifndef __cns_functions_h_
+#define __cns_functions_h_
+
+#define CNS_VERSION "1.4.0beta"
+
+	enum CRYPTO_TYPES
+	{
+		NO_CRYPT,
+		RSA_CRYPT,
+		TWOFISH_CRYPT,
+		PLUS_ONE_CRYPT_NUMBERS
+	}; // may be more later ? :-)
+
+	struct st_a_nick
+	{
+		struct st_a_nick *next;
+		char             *nick;
+	};
+
+	struct st_nick_crypted
+	{
+		struct st_nick_crypted 	*next;
+		struct st_a_nick		*nick_list;
+		RSA						*hispubkey;
+		unsigned int 			opt;
+		unsigned char 			crypt_typ;
+	};
+
+	struct st_chan_crypted
+	{
+		struct st_chan_crypted *next;
+		unsigned char 	*chan;
+		unsigned char 	*chankey;
+		unsigned int	opt;
+		unsigned char	crypt_typ;
+	};
+
+	struct st_msg_header
+	{   
+		unsigned short un_len;
+		unsigned short cr_len;
+		unsigned long  crc32;
+		char           crypt_method;
+		char           opt;
+		unsigned short padding;
+		unsigned char  *text;
+	};
+
+	typedef unsigned char   u1byte;
+	typedef unsigned short  u2byte;
+	typedef unsigned long   u4byte;
+
+	typedef signed char     s1byte;
+	typedef signed short    s2byte;
+	typedef signed long     s4byte;
+
+	char **cipher_name_mars(void);
+	u4byte *set_key_mars(const u4byte in_key[], const u4byte key_len);
+	void encrypt_mars(const u4byte in_blk[4], u4byte out_blk[4]);
+	void decrypt_mars(const u4byte in_blk[4], u4byte out_blk[4]);
+
+	char **cipher_name_twofish(void);
+	u4byte *set_key_twofish(const u4byte in_key[], const u4byte key_len);
+	void encrypt_twofish(const u4byte in_blk[4], u4byte out_blk[4]);
+	void decrypt_twofish(const u4byte in_blk[4], u4byte out_blk[4]);
+	
+	int get_from_codec(char a);
+	unsigned long my_cksum (unsigned char *buf, int len);
+	void c_say (char *display, const char *, ...);
+	unsigned char *cns_generate_channel_key();
+
+	char *encode_rsa_key(unsigned char *rsapubkey);
+	char *decode_rsa_key(unsigned char *rsapubkey);
+
+	// keys functions
+	void cmd_generate_key (char *cmd, char *args, char *subargs, char *helparg);
+	void cmd_free_my_key (char *cmd, char *args, char *subargs, char *helparg);
+	void cmd_load_my_key (char *cmd, char *args, char *subargs, char *helparg);
+	void cmd_save_my_key (char *cmd, char *args, char *subargs, char *helparg);
+	void cmd_test_my_key (char *cmd, char *args, char *subargs, char *helparg);
+
+	void cmd_key_info (char *cmd, char *args, char *subargs, char *helparg);
+
+	// misc functions
+	void cmd_version (char *cmd, char *args, char *subargs, char *helparg);
+	void cmd_test_twofish (char *cmd, char *args, char *subargs, char *helparg);
+
+	// IO functions
+
+	void cmd_send_pubkey (char *cmd, char *args, char *subargs, char *helparg);
+	int check_is_rsa_key (char *ptr);
+	void get_rsa_key (char *from, char *to, char *ptr);
+
+	RSA* get_rsa_key_from_nick (char *nick); 
+	void add_rsa_key (char *nick, unsigned char *pubkey);
+	void clear_rsa_key (char *nick);
+	void cmd_clear_rsa_key(char *cmd, char *args, char *subargs, char *helparg);
+	void cmd_rsa_list (char *cmd, char *args, char *subargs, char *helparg); 
+
+	// to code:
+	void cmd_chan_list (char *cmd, char *args, char *subargs, char *helparg);
+	unsigned char *get_pass_from_chan (char *chan);
+
+	void cmd_test_rsa_crypt (char *cmd, char *args, char *subargs, char *helparg);
+
+	unsigned char *normal_2_irc (unsigned char *texte, int len);
+	unsigned char *irc_2_normal (unsigned char *texte);
+	unsigned char *form_normal_irc
+		(unsigned char *texte, short cr_len, short un_len, int typ);
+	struct st_msg_header *form_irc_normal (unsigned char *texte);
+	unsigned char *cns_crypt_RSA (unsigned char *phrase, RSA *key, int p_len);
+	unsigned char *cns_decrypt_RSA (unsigned char *phrase);
+
+	int is_sed_crypted (unsigned char *texte);
+	struct st_msg_header *get_st (unsigned char *texte);
+	int is_correct_crypt (unsigned char *texte);
+	int is_cnsirc_crypted(unsigned char *target, unsigned char *command);
+	int is_have_to_send_clear_text (char *cmd);
+
+	unsigned char *get_pass_from_chan (char *chan);
+
+	void cmd_gen_chan_key (char *cmd, char *args, char *subargs, char *helparg);
+
+void cmd_clear_chan_key (char *cmd, char *args, char *subargs, char *helparg);
+void cmd_clear_key (char *cmd, char *args, char *subargs, char *helparg);
+void cmd_list_all_nick (char *cmd, char *args, char *subargs, char *helparg);
+unsigned char *cns_decrypt_twofish (unsigned char *phrase, unsigned char *key);
+unsigned char *cns_crypt_twofish (unsigned char *phrase, unsigned char *key);
+void cmd_send_chan_key (char *cmd, char *args, char *subargs, char *helparg);
+int recieve_chan_key (char *phrase, int p_len);
+struct st_chan_crypted *add_chan_key (char *channel, unsigned char *chankey);
+void cmd_clear_text (char *cmd, char *args, char *subargs, char *helparg);
+
+void cmd_clear_nick (char *cmd, char *args, char *subargs, char *helparg);
+void c_rename_nick (char *from_nick, char *to_nick);
+void clear_nick (char *nick);
+void cmd_ctoggle (char *cmd, char *args, char *subargs, char *helparg);
+
+int is_crypted_by_opt (unsigned char *target);
+
+void cmd_require_key (char *cmd, char *args, char *subargs, char *helparg);
+void get_ctcp_cnscmd (char *from, char *to, char *message);
+int is_trusted_nick (char *nick);
+void cmd_trust (char *cmd, char *args, char *subargs, char *helparg);
+void cmd_untrust (char *cmd, char *args, char *subargs, char *helparg);
+
+void cmd_require_rsa_key
+	(char *cmd, char *args, char *subargs, char *helparg);
+
+void cmd_greet (char *cmd, char *args, char *subargs, char *helparg);
+
+void clear_all_keys();
+void cmd_key_save (char *cmd, char *args, char *subargs, char *helparg);
+void cmd_key_load (char *cmd, char *args, char *subargs, char *helparg);
+
+void load_private_file();
+void save_private_file();
+
+#endif
diff -urN BitchX-clean/include/color.h BitchXcns-1.0c19cns/include/color.h
--- BitchX-clean/include/color.h	Mon Mar  5 20:38:48 2001
+++ BitchXcns-1.0c19cns/include/color.h	Fri Mar 29 07:36:37 2002
@@ -188,6 +188,21 @@
 #define DEFAULT_FORMAT_SEND_NOTICE_FSET "%K[%rnotice%K(%R$1%K)] %n$3-"
 #define DEFAULT_FORMAT_SEND_PUBLIC_FSET "%p<%n$2%p>%n $3-"
 #define DEFAULT_FORMAT_SEND_PUBLIC_OTHER_FSET "%p<%n$2%K:%n$1%p>%n $3-"
+
+/* Done for CNSirc */
+#define DEFAULT_FORMAT_C_PUBLIC_FSET			 "%W(%n$1%W)%n $3-"
+#define DEFAULT_FORMAT_C_SEND_PUBLIC_FSET        "%W(%n%K$1%n%W)%n $3-"
+#define DEFAULT_FORMAT_C_PUBLIC_OTHER_FSET       "%K(%n$1%K/%n$2%K)%n $3-"
+#define DEFAULT_FORMAT_C_SEND_PUBLIC_OTHER_FSET  "%K(%n%W$1%n%K/%n$2%K)%n $3-"
+
+#define DEFAULT_FORMAT_C_MSG_FSET                "%K[%W$1%K]%n%K(%n$2%K)%n $4-"
+#define DEFAULT_FORMAT_C_SEND_MSG_FSET           "%K[%nmsg%K](%W$2%K)%n $3-"
+
+#define DEFAULT_FORMAT_C_NOTICE_FSET             "%K-%W$1%K(%n$2%K)-%n $4-" 
+#define DEFAULT_FORMAT_C_SEND_NOTICE_FSET        "%K[%nnotice%K](%W$2%K)%n $3-"
+#define DEFAULT_FORMAT_C_PUBLIC_NOTICE_FSET      "%K-%W$1%K:$2-%n $4-" 
+#define DEFAULT_FORMAT_C_SEND_PUBLIC_NOTICE_FSET "%K-%W$1%K($2)-%n $3-"
+
 /* Not in Hades*/
 #define DEFAULT_FORMAT_SEND_AWAY_FSET "[Away ($strftime($1 %a %b %d %I:%M%p %Z))] [$tdiff2(${time() - u})] [BX-MsgLog $2]"
 #define DEFAULT_FORMAT_SEND_CTCP_FSET "%K[%rctcp%K(%R$1%K)] %n$2"
@@ -574,6 +589,20 @@
 #define DEFAULT_FORMAT_PUBLIC_OTHER_FSET ansi?"%@%b<%n$1%K:%n$2%b>%n $3-":"%@<$1:$2> $3-"
 #define DEFAULT_FORMAT_PUBLIC_OTHER_AR_FSET ansi?"%@%b<%Y$1%K:%n$2%b>%n $3-":"%@<$1:$2> $3-"
 
+/* Done for CNSirc */
+#define DEFAULT_FORMAT_C_PUBLIC_FSET             "%@%W(%n$1%W)%n $3-"
+#define DEFAULT_FORMAT_C_SEND_PUBLIC_FSET        "%@%W(%n%K$1%n%W)%n $3-"
+#define DEFAULT_FORMAT_C_PUBLIC_OTHER_FSET       "%@%K(%n$1%K/%n$2%K)%n $3-"
+#define DEFAULT_FORMAT_C_SEND_PUBLIC_OTHER_FSET  "%@%K(%n%W$1%n%K/%n$2%K)%n $3-"
+
+#define DEFAULT_FORMAT_C_MSG_FSET               "%@%K[%W$1%K]%n%K(%n$2%K)%n $4-"
+#define DEFAULT_FORMAT_C_SEND_MSG_FSET          "%@%K[%nmsg%K](%W$2%K)%n $3-"
+
+#define DEFAULT_FORMAT_C_NOTICE_FSET            "%@%K-%W$1%K(%n$2%K)-%n $4-"
+#define DEFAULT_FORMAT_C_SEND_NOTICE_FSET       "%@%K[%nnotice%K](%W$2%K)%n $3-"
+#define DEFAULT_FORMAT_C_PUBLIC_NOTICE_FSET      "%@%K-%W$1%K:$2-%n $4-"
+#define DEFAULT_FORMAT_C_SEND_PUBLIC_NOTICE_FSET "%@%K-%W$1%K($2)-%n $3-"
+
 #ifdef ONLY_STD_CHARS
 #define DEFAULT_FORMAT_SEND_ACTION_FSET "%K* %W$1 %n$3-"
 #define DEFAULT_FORMAT_SEND_ACTION_OTHER_FSET "%K* %n-> %W$1%n/%c$2 %n$3-"
@@ -717,8 +746,8 @@
 	
 #define DEFAULT_FORMAT_NICK_MSG_FSET "$0 $1 $2-"
 
-#define DEFAULT_FORMAT_NICK_COMP_FSET "$0\002:\002$1-"
-#define DEFAULT_FORMAT_NICK_AUTO_FSET "$0\002:\002$1-"
+#define DEFAULT_FORMAT_NICK_COMP_FSET "$0:$1-"
+#define DEFAULT_FORMAT_NICK_AUTO_FSET "$0:$1-"
 
 #define DEFAULT_FORMAT_STATUS_FSET "%4%W$0-"
 #define DEFAULT_FORMAT_STATUS1_FSET "%4%W$0-"
diff -urN BitchX-clean/include/config.h BitchXcns-1.0c19cns/include/config.h
--- BitchX-clean/include/config.h	Sun Mar 24 10:31:04 2002
+++ BitchXcns-1.0c19cns/include/config.h	Fri Mar 29 07:44:58 2002
@@ -195,7 +195,7 @@
  * we define the default network type for server groups. Do not just
  * undefine this.
  */
- #define DEFAULT_NETWORK "efnet"
+#define DEFAULT_NETWORK "efnet"
 
 /*
  * Below are the IRCII variable defaults.  For boolean variables, use 1 for
@@ -218,7 +218,7 @@
  * mode compressor to the client. It reduces the duplicate modes that
  * might occur on a channel.. it's explained in names.c much better.
  */
- #define COMPRESS_MODES
+#define COMPRESS_MODES
 
 
 /*
@@ -373,12 +373,17 @@
 #define IRCRC_NAME "/.ircrc"
 #endif
 
+#define DEFAULT_DEFAULT_ADDED_LETTER "`"
+#define DEFAULT_ACT_AS_KEY_SERV OFF
+#define DEFAULT_SHOW_RSA_KEY OFF
+#define DEFAULT_IGNORE_REMOTE ON
+#define DEFAULT_SHOW_ALL_CNSIRC_MESSAGES ON
 #define DEFAULT_PING_TYPE 1
 #define DEFAULT_MSGLOG ON
 #define DEFAULT_AUTO_NSLOOKUP OFF
 #define DEFAULT_ALT_CHARSET ON
-#define DEFAULT_FLOOD_KICK ON
-#define DEFAULT_FLOOD_PROTECTION ON
+#define DEFAULT_FLOOD_KICK OFF
+#define DEFAULT_FLOOD_PROTECTION OFF
 #define DEFAULT_CTCP_FLOOD_PROTECTION ON
 #define DEFAULT_MAX_AUTOGET_SIZE 2000000
 #define DEFAULT_LLOOK_DELAY 120
@@ -419,7 +424,7 @@
 #define DEFAULT_INVERSE_VIDEO ON
 #define DEFAULT_LASTLOG 1000
 #define DEFAULT_LOG OFF
-#define DEFAULT_MAIL 2
+#define DEFAULT_MAIL 0 
 #define DEFAULT_NO_CTCP_FLOOD ON
 #define DEFAULT_NOTIFY_HANDLER "QUIET"
 #define DEFAULT_NOTIFY_INTERVAL 60
@@ -477,7 +482,7 @@
 #define DEFAULT_TAB_MAX 8
 #define DEFAULT_TIMESTAMP OFF
 #define DEFAULT_TIMESTAMP_AWAYLOG_HOURLY ON
-#define DEFAULT_TIMESTAMP_STR "%I:%M%p "
+#define DEFAULT_TIMESTAMP_STR "[%I:%M%P] "
 #define DEFAULT_UNDERLINE_VIDEO ON
 #define DEFAULT_VERBOSE_CTCP ON
 #define DEFAULT_DISPLAY_ANSI ON
@@ -494,10 +499,10 @@
 #define DEFAULT_AINV 0
 #define DEFAULT_ANNOY_KICK OFF
 #define DEFAULT_AOP_VAR OFF
-#define DEFAULT_AUTO_AWAY ON
+#define DEFAULT_AUTO_AWAY OFF
 #define DEFAULT_KICK_OPS ON
 #define DEFAULT_AUTO_REJOIN ON
-#define DEFAULT_DEOPFLOOD ON
+#define DEFAULT_DEOPFLOOD OFF
 #if defined(__EMXPM__) || defined(WIN32)
 #define DEFAULT_CODEPAGE 437
 #endif
@@ -508,16 +513,16 @@
 #define DEFAULT_DEOP_ON_KICKFLOOD 3
 #define DEFAULT_KICK_IF_BANNED OFF
 #define DEFAULT_HACKING 0  /* 0 1 2 */
-#define DEFAULT_JOINFLOOD ON
+#define DEFAULT_JOINFLOOD OFF
 #define DEFAULT_JOINFLOOD_TIME 50
-#define DEFAULT_KICKFLOOD ON
+#define DEFAULT_KICKFLOOD OFF
 #define DEFAULT_KICKFLOOD_TIME 30
 #define DEFAULT_KICK_ON_DEOPFLOOD 3
 #define DEFAULT_KICK_ON_JOINFLOOD 4
 #define DEFAULT_KICK_ON_KICKFLOOD 4
 #define DEFAULT_KICK_ON_NICKFLOOD 3
 #define DEFAULT_KICK_ON_PUBFLOOD 30
-#define DEFAULT_NICKFLOOD ON
+#define DEFAULT_NICKFLOOD OFF
 #define DEFAULT_NICKFLOOD_TIME 30
 #ifdef __EMXPM__
 #define DEFAULT_NICKLIST 10
@@ -598,7 +603,7 @@
 #define DEFAULT_HIGHLIGHT_CHAR "INVERSE"
 #define DEFAULT_LASTLOG_LEVEL "ALL"
 #define DEFAULT_MSGLOG_LEVEL "MSGS NOTICES SEND_MSG"
-#define DEFAULT_LOGFILE "IrcLog"
+#define DEFAULT_LOGFILE "~/.IrcLog"
 #define DEFAULT_SHELL "/bin/sh"
 #define DEFAULT_SHELL_FLAGS "-c"
 #define DEFAULT_USERINFO ""
diff -urN BitchX-clean/include/cset.h BitchXcns-1.0c19cns/include/cset.h
--- BitchX-clean/include/cset.h	Mon May  7 10:41:16 2001
+++ BitchXcns-1.0c19cns/include/cset.h	Fri Mar 29 07:36:37 2002
@@ -144,6 +144,17 @@
 FORMAT_BOT_HEADER_FSET,
 FORMAT_BWALL_FSET,
 
+FORMAT_C_MSG_FSET,
+FORMAT_C_NOTICE_FSET,
+FORMAT_C_PUBLIC_FSET,
+FORMAT_C_PUBLIC_NOTICE_FSET,
+FORMAT_C_PUBLIC_OTHER_FSET,
+FORMAT_C_SEND_MSG_FSET,
+FORMAT_C_SEND_NOTICE_FSET,
+FORMAT_C_SEND_PUBLIC_FSET,
+FORMAT_C_SEND_PUBLIC_NOTICE_FSET,
+FORMAT_C_SEND_PUBLIC_OTHER_FSET,
+
 FORMAT_CHANNEL_SIGNOFF_FSET,
 
 FORMAT_COMPLETE_FSET,
diff -urN BitchX-clean/include/ctcp.h BitchXcns-1.0c19cns/include/ctcp.h
--- BitchX-clean/include/ctcp.h	Mon May  7 10:41:16 2001
+++ BitchXcns-1.0c19cns/include/ctcp.h	Fri Mar 29 07:36:37 2002
@@ -42,8 +42,10 @@
 #define CTCP_IDENT	19
 #define CTCP_UNBAN	20
 #define CTCP_BOTLINK	21
-#define CTCP_UPTIME	22
-#define CTCP_CUSTOM	23
+#define CTCP_UPTIME		22
+#define CTCP_C_ACTION   23
+#define CTCP_CNS_CMD    24
+#define CTCP_CUSTOM		25
 
 #define NUMBER_OF_CTCPS	CTCP_CUSTOM
 
diff -urN BitchX-clean/include/vars.h BitchXcns-1.0c19cns/include/vars.h
--- BitchX-clean/include/vars.h	Sun Mar 24 10:31:04 2002
+++ BitchXcns-1.0c19cns/include/vars.h	Fri Mar 29 07:36:37 2002
@@ -12,6 +12,7 @@
 /* indexes for the irc_variable array */
 
 enum VAR_TYPES {
+	ACT_AS_KEY_SERV ,
 	AINV_VAR,
 	ALTNICK_VAR,
 	ALT_CHARSET_VAR,
@@ -97,6 +98,7 @@
 	DCC_ULDIR_VAR,
 	DCC_USE_GATEWAY_ADDR_VAR,
 	DEBUG_VAR ,
+	DEFAULT_ADDED_LETTER_VAR,
 #if defined(__EMXPM__) || defined(WIN32)
 	DEFAULT_CODEPAGE_VAR,
 #endif
@@ -142,6 +144,7 @@
 	HTTP_GRAB_VAR,
 	IDENT_HACK_VAR,
 	IDLE_CHECK_VAR,
+	IGNORE_REMOTE_VAR,
 	IGNORE_TIME_VAR,
 	INDENT_VAR ,
 	INPUT_ALIASES_VAR ,
@@ -246,11 +249,13 @@
 	SHELL_LIMIT_VAR,
 	SHITLIST_VAR,
 	SHITLIST_REASON_VAR,
+	SHOW_ALL_CNSIRC_MESSAGES_VAR,
 	SHOW_AWAY_ONCE_VAR,
 	SHOW_CHANNEL_NAMES_VAR,
 	SHOW_END_OF_MSGS_VAR,
 	SHOW_NUMERICS_VAR,
 	SHOW_NUMERICS_STR_VAR,
+	SHOW_RSA_KEY_VAR,
 	SHOW_STATUS_ALL_VAR,
 	SHOW_WHO_HOPCOUNT_VAR,
 	SOCKS_HOST_VAR,
